# Managed Service for Apache Kafka V1 API - Class Google::Api::BatchingConfigProto (v0.5.0)

0.5.0 (latest) 0.4.0 0.3.0 0.2.1 0.1.0 Reference documentation and code samples for the Managed Service for Apache Kafka V1 API class Google::Api::BatchingConfigProto.

`BatchingConfigProto` defines the batching configuration for an API method.

## Inherits

- Object

## Extended By

- Google::Protobuf::MessageExts::ClassMethods

## Includes

- Google::Protobuf::MessageExts

## Methods

### #batch_descriptor

    def batch_descriptor() -> ::Google::Api::BatchingDescriptorProto

**Returns**

- ([::Google::Api::BatchingDescriptorProto](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-managed_kafka-schema_registry-v1/latest/Google-Api-BatchingDescriptorProto)) --- The request and response fields used in batching.

### #batch_descriptor=

    def batch_descriptor=(value) -> ::Google::Api::BatchingDescriptorProto

**Parameter**

- **value** ([::Google::Api::BatchingDescriptorProto](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-managed_kafka-schema_registry-v1/latest/Google-Api-BatchingDescriptorProto)) --- The request and response fields used in batching.
**Returns**

- ([::Google::Api::BatchingDescriptorProto](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-managed_kafka-schema_registry-v1/latest/Google-Api-BatchingDescriptorProto)) --- The request and response fields used in batching.

### #thresholds

    def thresholds() -> ::Google::Api::BatchingSettingsProto

**Returns**

- ([::Google::Api::BatchingSettingsProto](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-managed_kafka-schema_registry-v1/latest/Google-Api-BatchingSettingsProto)) --- The thresholds which trigger a batched request to be sent.

### #thresholds=

    def thresholds=(value) -> ::Google::Api::BatchingSettingsProto

**Parameter**

- **value** ([::Google::Api::BatchingSettingsProto](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-managed_kafka-schema_registry-v1/latest/Google-Api-BatchingSettingsProto)) --- The thresholds which trigger a batched request to be sent.
**Returns**

- ([::Google::Api::BatchingSettingsProto](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-managed_kafka-schema_registry-v1/latest/Google-Api-BatchingSettingsProto)) --- The thresholds which trigger a batched request to be sent.